Package org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Class PartitionDestroyQueue

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.checkpoint.PartitionDestroyQueue

    public class PartitionDestroyQueue
    extends Object

Partition destroy queue.

### Constructor Summary

Constructors
`PartitionDestroyQueue()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDestroyRequest​(@Nullable CacheGroupContext grpCtx, int grpId, int partId)`
`ConcurrentMap<T2<Integer,​Integer>,​PartitionDestroyRequest>` `pendingReqs()`
`PartitionDestroyRequest` `removeRequest​(int grpId, int partId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartitionDestroyQueue

    public PartitionDestroyQueue()

### Method Detail

#### addDestroyRequest

    public void addDestroyRequest​(@Nullable
                                  @Nullable CacheGroupContext grpCtx,
                                  int grpId,
                                  int partId)

Parameters:
  `grpCtx` - Group context.
  `partId` - Partition ID to destroy.

#### removeRequest

    public PartitionDestroyRequest removeRequest​(int grpId,
                                                 int partId)

Parameters:
  `grpId` - Group ID.
  `partId` - Partition ID.
Returns:
  Destroy request that was removed from the queue or `null` if the request was not found.

#### pendingReqs

    public ConcurrentMap<T2<Integer,​Integer>,​PartitionDestroyRequest> pendingReqs()

Returns:
  Pending reqs.